// Διαβάζουμε και εμφανίζουμε στην οθόνη, κάθε ένα δευτερόλεπτο, τις τιμές που δίνει ο αισθητήρας φωτός (LDR)

int LED=12;       //Το pin στο οποίο έχουμε συνδέσει το LED
int SPEAKER=3;    //Το pin στο οποίο έχουμε συνδέσει το ηχείο (piezo buzzer)
int LDR = 0;      //Το pin στο οποίο έχουμε συνδέσει την φωτοαντίσταση LDR (Α0)
int LDRValue;     //στην μεταβλητή αυτή θα αποθηκεύουμε την τιμή που θα διαβάζουμε από τον αισθητήρα φωτός
 
void setup()
  {
    Serial.begin(9600);       //αρχικοποιούμε την σειαριακή επικοινωνία με την οθόνη του υπολογιστή μας στα 9600bps
    pinMode(LED, OUTPUT);     //ορίζουμε ότι τα pin 12 θα χρησιμοποιηθεί ως έξοδος
    pinMode(SPEAKER,OUTPUT);  //ορίζουμε ότι τα pin 3 θα χρησιμοποιηθεί ως έξοδος
 }
 
void loop()
  {
    LDRValue = analogRead(LDR);    //διαβάζουμε την τιμή που μας δίνει ο αισθητήρας φωτός (μέσω του pin A0) και την τοποθετούμε στην μεταβλητήτ LDRValue 
    Serial.println(LDRValue);      //εμφανίζουμε την τιμή του LDR στην οθόνη
    delay(1000);                   //περιμένουμε 1000msec μέχρι να διαβάσουμε την επόμενη μέτρηση
  }

